%define module	httplib2

Name:		python-httplib2
Summary:	Comprehensive HTTP client library for Python
Version:	0.9
Release:	1
Source0:	https://pypi.python.org/packages/source/h/httplib2/httplib2-%{version}.tar.gz
URL:		http://code.google.com/p/httplib2
Group:		System/Libraries
License:	MIT
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires: python-devel

%description
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%package -n python3-httplib2
Summary:        Python 3 HTTP library module
Group:          System/Libraries
BuildRequires:  python3

%description -n python3-httplib2
A comprehensive HTTP client library that supports many features left
out of other HTTP libraries.

%prep
%setup -q -c
mv httplib2-%{version} python2
pushd python2
%patch0 -p0 -b .certfile
popd
cp -r python2 python3

%build
pushd python2
python setup.py build
popd

pushd python3
python3 setup.py build
popd

%install
pushd python2
PYTHONDONTWRITEBYTECODE= python setup.py install --root=%{buildroot} --compile --optimize=2
chmod a+r %{buildroot}%{py_puresitedir}/%{module}*egg-info/*
popd

pushd python3
PYTHONDONTWRITEBYTECODE= python3 setup.py install --root=%{buildroot} --compile --optimize=2
chmod a+r %{buildroot}%{py_puresitedir}/%{module}*egg-info/*
popd

%files
%{py_puresitedir}/%{module}-*
%{py_puresitedir}/%{module}/*

%files -n python3-httplib2
%{py3_puresitedir}/%{module}-*
%{py3_puresitedir}/%{module}/*

%changelog
* Sat Sep 27 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.9-1
+ Revision: fbc9c6e
- Fix files


